TEST(1)

NOMBRE
test - verifica tipos de ficheros y compara valores

SINOPSIS
test EXPRESIÓN
test
[ EXPRESIÓN ]
[ ]
[ OPCION

DESCRIPCIÓN

Sale con el estado determinado por EXPRESIÓN.

--help
    muestra la ayuda y finaliza

--version
    muestra la versión del programa y finaliza

Si se omite una EXPRESIÓN entonces se considera falsa. En caso contrario, EXPRESIÓN es verdadera o falsa y determina el estado de salida. Es una de:

( EXPRESIÓN )
    La EXPRESIÓN es verdadera

! EXPRESIÓN
    La EXPRESIÓN es falsa

EXPRESIÓN1 -a EXPRESIÓN2
    la EXPRESIÓN1 y la EXPRESIÓN2 son verdaderas

EXPRESIÓN1 -o EXPRESIÓN2
    la EXPRESIÓN1 o la EXPRESIÓN2 es verdadera

-n CADENA
    la longitud de la CADENA es distinta de cero

CADENA
    equivalente a -n CADENA

-z CADENA
    la longitud de la CADENA es igual a cero

CADENA1 = CADENA2
    las cadenas son iguales

CADENA1 != CADENA2
    las cadenas no son iguales

STRING1 > STRING2
    STRING1 es mayor que STRING2 en la configuración regional actual.

STRING1 < STRING2
    STRING1 es menor que STRING2 en la configuración regional actual.

ENTERO1 -eq ENTERO2
    El ENTERO1 es igual a ENTERO2

ENTERO1 -ge ENTERO2
    El ENTERO1 es mayor o igual que ENTERO2

ENTERO1 -gt ENTERO2
    El ENTERO1 es mayor que ENTERO2

ENTERO1 -le ENTERO2
    El ENTERO1 es menor o igual que ENTERO2

ENTERO1 -lt ENTERO2
    El ENTERO1 es menor que ENTERO2

ENTERO1 -ne ENTERO2
    el ENTERO1 no es igual a ENTERO2

FICHERO1 -ef FICHERO2
    El FICHERO1 y FICHERO2 tienen los mismos números de dispositivo y de nodo-i

FICHERO1 -nt FICHERO2
    El FICHERO1 es más moderno (fecha de modificación) que FICHERO2

FICHERO1 -ot FICHERO2
    El FICHERO1 es más antiguo que FICHERO2

-b FICHERO
    El FICHERO existe y es un fichero especial de bloques

-c FICHERO
    El FICHERO existe y es un fichero especial de caracteres

-d FICHERO
    El FICHERO existe y es un directorio

-e FICHERO
    El FICHERO existe

-f FICHERO
    El FICHERO existe y es un fichero regular

-g FICHERO
    El FICHERO existe y tiene cambio-de-ID-de-grupo

-G FICHERO
    El FICHERO existe y su propietario es el ID efectivo de grupo

-h FICHERO
    El FICHERO existe y es un enlace simbólico (igual que -L)

-k FICHERO
    El FICHERO existe y tiene activo su bit `sticky'

-L FICHERO
    El FICHERO existe y es un enlace simbólico (igual que -h)

-N FICHERO
    El ARCHIVO existe y ha sido modificado desde la última vez que fue leído

-O FICHERO
    El FICHERO existe y su propietario es el ID efectivo de usuario

-p FICHERO
    El FICHERO existe y es una tubería nombrada (named pipe)

-r FICHERO
    El ARCHIVO existe y es un archivo regular

-s FICHERO
    El FICHERO existe y tiene un tamaño mayor que cero

-S FICHERO
    El FICHERO existe y es un `socket'

-t DF
    el descriptor de fichero DF (salida estándar por omisión) está abierto en una terminal

-u FICHERO
    El FICHERO existe y su bit de cambio-de-ID-de-usuario está activo

-w FICHERO
    El ARCHIVO existe y el usuario tiene derecho de escritura

-x FICHERO
    El ARCHIVO existe y el usuario tiene derecho de ejecución sobre él (o de atravesarlo si es un directorio).

Excepto por -h y -L, todas las operaciones de test relacionadas con FICHEROs siguen los enlaces simbólicos. Tenga en cuenta que los paréntesis deben ser precedidos por caracteres de escape (p.e. barras invertidas) para los shells. ENTERO también puede ser -l CADENA, que evalúa la longitud de la CADENA.

NOTA: -a y -o son ambiguos. Utilice en su lugar 'test EXPR1 && test EXPR2' or 'test EXPR1 || test EXPR2'.

'[' toma las opciones --help y --version, pero test las considera como CADENAS.

Su shell puede tener su propia versión de test y/o [, que usualmente tiene prioridad sobre la versión que se describe aquí. Por favor acuda a la documentación de su shell para saber los detalles sobre las opciones que admite.

AUTOR
Escrito por Kevin Braunsdorf y Matthew Bradburn.

INFORMAR DE ERRORES
Ayuda en línea de GNU Coreutils: <https://www.gnu.org/software/coreutils/>
Informe cualquier error de traducción a <https://translationproject.org/team/es.html>

COPYRIGHT
Copyright © 2025 Free Software Foundation, Inc. Licencia GPLv3+: GNU GPL versión 3 o posterior <https://gnu.org/licenses/gpl.html>.
Esto es software libre: usted es libre de cambiarlo y redistribuirlo. NO HAY GARANTÍA, en la medida permitida por la legislación.

VÉASE TAMBIÉN
access(2)

Documentación completa: <https://www.gnu.org/software/coreutils/test>
también disponible localmente ejecutando: info '(coreutils) test invocation'

TRADUCCIÓN
La traducción al español de esta página del manual fue creada por Javi Diaz <javid@si.upc.es> y Marcos Fouces <marcos@debian.org>

Esta traducción es documentación libre; lea la GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) o posterior con respecto a las condiciones de copyright. No existe NINGUNA RESPONSABILIDAD.

Si encuentra algún error en la traducción de esta página del manual, envíe un correo electrónico a debian-l10n-spanish@lists.debian.org.